curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/bridge/plaid \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"plaid_token": "<string>"
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"source": "bank_account",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paykey": "<string>",
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_name": "Bank of America",
"status_details": {
"message": "Bank account sucesfully validated",
"reason": "insufficient_funds",
"source": "watchtower",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"bank_data": {
"routing_number": "021000021",
"account_number": "****1234",
"account_type": "checking"
},
"metadata": {},
"balance": {
"status": "pending",
"account_balance": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"external_id": "<string>",
"unblock_eligible": true
}
}Use this endpoint to use the Bridge API with a Plaid token.
curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/bridge/plaid \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"plaid_token": "<string>"
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"source": "bank_account",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paykey": "<string>",
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_name": "Bank of America",
"status_details": {
"message": "Bank account sucesfully validated",
"reason": "insufficient_funds",
"source": "watchtower",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"bank_data": {
"routing_number": "021000021",
"account_number": "****1234",
"account_type": "checking"
},
"metadata": {},
"balance": {
"status": "pending",
"account_balance": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"external_id": "<string>",
"unblock_eligible": true
}
}Use your Straddle API Key in the Authorization header as Bearer
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
10 - 40Unique identifier of the related customer object.
Plaid processor token generated by your application for use with the Straddle API.
Up to 20 additional user-defined key-value pairs. Useful for storing additional information about the paykey in a structured format.
Show child attributes
Show child attributes
Unique identifier for the paykey in your database, used for cross-referencing between Straddle and your systems.
Created
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?